Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionGCM2Response.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>
com.google.protobuf.GeneratedMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM2Response.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ClientConnectionGCM2Response`

public static final class ClientWireProtocol.ClientConnectionGCM2Response.Builder extends GeneratedMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder> implements ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder
Protobuf type `xg.cmdcomp.ClientConnectionGCM2Response`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`addAllSecondary(Iterable<? extends ClientWireProtocol.SecondaryInterfaceList> values)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`addSecondary(ClientWireProtocol.SecondaryInterfaceList value)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`addSecondary(ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`addSecondaryBuilder()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`addSecondaryBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.ClientConnectionGCM2Response`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearFullyQualifiedUsername()`
The fully qualified username used for the connection
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearRedirect()`
Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearRedirectHost()`
`string redirectHost = 3;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearRedirectPort()`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearSecondary()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearSecurityToken()`
The security token associated with this session
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearServerSessionId()`
`string serverSessionId = 7;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`clearServerVersion()`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`
`ClientWireProtocol.ClientConnectionGCM2Response`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getFullyQualifiedUsername()`
The fully qualified username used for the connection
`ByteString`
`getFullyQualifiedUsernameBytes()`
The fully qualified username used for the connection
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to connect elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 3;`
`ByteString`
`getRedirectHostBytes()`
`string redirectHost = 3;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`getResponseBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SecondaryInterfaceList`
`getSecondary(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`getSecondaryBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList.Builder>`
`getSecondaryBuilderList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`int`
`getSecondaryCount()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList>`
`getSecondaryList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder`
`getSecondaryOrBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder>`
`getSecondaryOrBuilderList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecurityToken`
`getSecurityToken()`
The security token associated with this session
`ClientWireProtocol.SecurityToken.Builder`
`getSecurityTokenBuilder()`
The security token associated with this session
`ClientWireProtocol.SecurityTokenOrBuilder`
`getSecurityTokenOrBuilder()`
The security token associated with this session
`String`
`getServerSessionId()`
`string serverSessionId = 7;`
`ByteString`
`getServerSessionIdBytes()`
`string serverSessionId = 7;`
`ClientWireProtocol.ServerVersion`
`getServerVersion()`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`
`ClientWireProtocol.ServerVersion.Builder`
`getServerVersionBuilder()`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`
`ClientWireProtocol.ServerVersionOrBuilder`
`getServerVersionOrBuilder()`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasSecurityToken()`
The security token associated with this session
`boolean`
`hasServerVersion()`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`mergeFrom(ClientWireProtocol.ClientConnectionGCM2Response other)`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`mergeResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`mergeSecurityToken(ClientWireProtocol.SecurityToken value)`
The security token associated with this session
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`mergeServerVersion(ClientWireProtocol.ServerVersion value)`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`removeSecondary(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setFullyQualifiedUsername(String value)`
The fully qualified username used for the connection
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setFullyQualifiedUsernameBytes(ByteString value)`
The fully qualified username used for the connection
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setRedirect(boolean value)`
Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setRedirectHost(String value)`
`string redirectHost = 3;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setRedirectHostBytes(ByteString value)`
`string redirectHost = 3;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setRedirectPort(int value)`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setSecurityToken(ClientWireProtocol.SecurityToken value)`
The security token associated with this session
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setSecurityToken(ClientWireProtocol.SecurityToken.Builder builderForValue)`
The security token associated with this session
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setServerSessionId(String value)`
`string serverSessionId = 7;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setServerSessionIdBytes(ByteString value)`
`string serverSessionId = 7;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setServerVersion(ClientWireProtocol.ServerVersion value)`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`setServerVersion(ClientWireProtocol.ServerVersion.Builder builderForValue)`
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>`

### clear

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionGCM2Response getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.ClientConnectionGCM2Response build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ClientConnectionGCM2Response buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM2Response.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM2Response.Builder mergeFrom(ClientWireProtocol.ClientConnectionGCM2Response other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM2Response.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ClientConnectionGCM2Response.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.ClientConnectionGCM2Response.Builder mergeResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getRedirect

public boolean getRedirect()

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The redirect.

### setRedirect

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setRedirect(boolean value)

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Parameters:
  `value` - The redirect to set.
Returns:
  This builder for chaining.

### clearRedirect

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearRedirect()

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Returns:
  This builder for chaining.

### getRedirectHost

public String getRedirectHost()
`string redirectHost = 3;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The redirectHost.

### getRedirectHostBytes

public ByteString getRedirectHostBytes()
`string redirectHost = 3;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The bytes for redirectHost.

### setRedirectHost

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setRedirectHost(String value)
`string redirectHost = 3;`

Parameters:
  `value` - The redirectHost to set.
Returns:
  This builder for chaining.

### clearRedirectHost

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearRedirectHost()
`string redirectHost = 3;`

Returns:
  This builder for chaining.

### setRedirectHostBytes

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setRedirectHostBytes(ByteString value)
`string redirectHost = 3;`

Parameters:
  `value` - The bytes for redirectHost to set.
Returns:
  This builder for chaining.

### getRedirectPort

public int getRedirectPort()
`fixed32 redirectPort = 4;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The redirectPort.

### setRedirectPort

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setRedirectPort(int value)
`fixed32 redirectPort = 4;`

Parameters:
  `value` - The redirectPort to set.
Returns:
  This builder for chaining.

### clearRedirectPort

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearRedirectPort()
`fixed32 redirectPort = 4;`

Returns:
  This builder for chaining.

### getSecondaryList

public List<ClientWireProtocol.SecondaryInterfaceList> getSecondaryList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryList` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getSecondaryCount

public int getSecondaryCount()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryCount` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getSecondary

public ClientWireProtocol.SecondaryInterfaceList getSecondary(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondary` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### setSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### setSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder addSecondary(ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder addSecondary(ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addAllSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder addAllSecondary(Iterable<? extends ClientWireProtocol.SecondaryInterfaceList> values)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### clearSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearSecondary()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### removeSecondary

public ClientWireProtocol.ClientConnectionGCM2Response.Builder removeSecondary(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder getSecondaryBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryOrBuilder

public ClientWireProtocol.SecondaryInterfaceListOrBuilder getSecondaryOrBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilder` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getSecondaryOrBuilderList

public List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder> getSecondaryOrBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilderList` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### addSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder addSecondaryBuilder()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder addSecondaryBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryBuilderList

public List<ClientWireProtocol.SecondaryInterfaceList.Builder> getSecondaryBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getServerSessionId

public String getServerSessionId()
`string serverSessionId = 7;`

Specified by:
  `getServerSessionId` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The serverSessionId.

### getServerSessionIdBytes

public ByteString getServerSessionIdBytes()
`string serverSessionId = 7;`

Specified by:
  `getServerSessionIdBytes` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The bytes for serverSessionId.

### setServerSessionId

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setServerSessionId(String value)
`string serverSessionId = 7;`

Parameters:
  `value` - The serverSessionId to set.
Returns:
  This builder for chaining.

### clearServerSessionId

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearServerSessionId()
`string serverSessionId = 7;`

Returns:
  This builder for chaining.

### setServerSessionIdBytes

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setServerSessionIdBytes(ByteString value)
`string serverSessionId = 7;`

Parameters:
  `value` - The bytes for serverSessionId to set.
Returns:
  This builder for chaining.

### hasSecurityToken

public boolean hasSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `hasSecurityToken` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  Whether the securityToken field is set.

### getSecurityToken

public ClientWireProtocol.SecurityToken getSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `getSecurityToken` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The securityToken.

### setSecurityToken

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setSecurityToken(ClientWireProtocol.SecurityToken value)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### setSecurityToken

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setSecurityToken(ClientWireProtocol.SecurityToken.Builder builderForValue)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### mergeSecurityToken

public ClientWireProtocol.ClientConnectionGCM2Response.Builder mergeSecurityToken(ClientWireProtocol.SecurityToken value)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### clearSecurityToken

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### getSecurityTokenBuilder

public ClientWireProtocol.SecurityToken.Builder getSecurityTokenBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### getSecurityTokenOrBuilder

public ClientWireProtocol.SecurityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `getSecurityTokenOrBuilder` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getFullyQualifiedUsername

public String getFullyQualifiedUsername()

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 9;`

Specified by:
  `getFullyQualifiedUsername` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The fullyQualifiedUsername.

### getFullyQualifiedUsernameBytes

public ByteString getFullyQualifiedUsernameBytes()

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 9;`

Specified by:
  `getFullyQualifiedUsernameBytes` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The bytes for fullyQualifiedUsername.

### setFullyQualifiedUsername

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setFullyQualifiedUsername(String value)

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 9;`

Parameters:
  `value` - The fullyQualifiedUsername to set.
Returns:
  This builder for chaining.

### clearFullyQualifiedUsername

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearFullyQualifiedUsername()

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 9;`

Returns:
  This builder for chaining.

### setFullyQualifiedUsernameBytes

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setFullyQualifiedUsernameBytes(ByteString value)

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 9;`

Parameters:
  `value` - The bytes for fullyQualifiedUsername to set.
Returns:
  This builder for chaining.

### hasServerVersion

public boolean hasServerVersion()
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

Specified by:
  `hasServerVersion` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  Whether the serverVersion field is set.

### getServerVersion

public ClientWireProtocol.ServerVersion getServerVersion()
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

Specified by:
  `getServerVersion` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The serverVersion.

### setServerVersion

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setServerVersion(ClientWireProtocol.ServerVersion value)
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

### setServerVersion

public ClientWireProtocol.ClientConnectionGCM2Response.Builder setServerVersion(ClientWireProtocol.ServerVersion.Builder builderForValue)
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

### mergeServerVersion

public ClientWireProtocol.ClientConnectionGCM2Response.Builder mergeServerVersion(ClientWireProtocol.ServerVersion value)
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

### clearServerVersion

public ClientWireProtocol.ClientConnectionGCM2Response.Builder clearServerVersion()
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

### getServerVersionBuilder

public ClientWireProtocol.ServerVersion.Builder getServerVersionBuilder()
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

### getServerVersionOrBuilder

public ClientWireProtocol.ServerVersionOrBuilder getServerVersionOrBuilder()
`.xg.cmdcomp.ServerVersion serverVersion = 10;`

Specified by:
  `getServerVersionOrBuilder` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`